# Risefor - An open-source tool to help citizen communicate with their representatives

This is the code repository of Risefor, you can get information or contact the team on our website : https://risefor.org/

## Choose your templates :

**1. Risefor Main :**

This package contains the full version of Risefor. On each instance, users will be able to create actions on specific subjects & connect them to representatives in order to invite citizen to contact them.


*  See the demo here: https://demo.risefor.org/
*  Code available on the branch : [risefor_main/master](https://git.startinblox.com/applications/risefor-front)

We are currently working on a full revamp in order to improve the Look & Feel as well as the performances
*  See the ongoing work here : https://dev.risefor.org/
*  Code available on the branch : [risefor_main/united4earth/dev](https://git.startinblox.com/applications/risefor-front/tree/risefor_main/united4earth/dev)

**2.  Risefor Light:**

Risefor light allows you to deploy a landing page on a specific law easily

*  Examples of Risefor light: 

\- International campaign : https://cop26.rebellion.global/

\- Campaign accompanying a physical action : http://bop.extinctionrebellion.fr/

\- Campaign targeting a specific law : https://stop-covid.risefor.org/

*  Code available on the branch : [risefor_light/master](https://git.startinblox.com/applications/risefor-front/tree/risefor_light/main)

## Installing the tool : 

```
git clone https://git.startinblox.com/applications/risefor-front
cd <repository>
git checkout risefor_main/master OR git checkout risefor_light/master
python3 -m venv env # optional venv
. env/bin/activate  # optional venv
pip3 install -r requirements.txt
cd united4earth
sib install united4earth
python3 manage.py runserver
```

By default the app will run localy on http://127.0.0.1:8000/


## Common customizations :

* Changing the logo :

1.  Upload your logo in the file /united4earth/static/img/Logos
2.  Edit the header.html [file here](https://git.startinblox.com/applications/risefor-front/blob/risefor_main/master/united4earth/templates/united4earth/header.html#L8)

* Changing the colors :
1.  Open the file "variables.scss"
2.  Edit the "main", "secondary", "third", "alert" and "extra" colors [here](https://git.startinblox.com/applications/risefor-front/blob/risefor_main/master/united4earth/static/scss/src/_variables.scss#L12)
3. Compile scss using `sass static/scss/index.scss static/css/united4earth.css`


* Changing the fonts :
1.  Open the file "variables.scss"
2.  Change the fonts [here ](https://git.startinblox.com/applications/risefor-front/blob/risefor_main/master/united4earth/static/scss/src/_variables.scss#L27)
3.  If these are custom or new fonts, declare [them here](https://git.startinblox.com/applications/risefor-front/blob/risefor_main/master/united4earth/static/scss/src/_global.scss#L6) 

* How to update the css :
We use a css framework called "sass". If you want to make changes to the css, the should :

1. Edit scss files available in /static/scss
2. Compile scss with the following command `sass static/scss/index.scss static/css/united4earth.css` to see the changes (you can add `--watch` if you are doing multiple changes)

For more information on sass visit [their website](https://sass-lang.com/)


## For more help 
1.  We are working on a FAQ available here: https://risefor.org/installer-risefor
2.  You can always contact the team by [opening an issue](https://git.startinblox.com/applications/risefor-front/issues/new?issue%5Bassignee_id%5D=&issue%5Bmilestone_id%5D=) or by [sending us an email](https://risefor.org/contact)




## Couple words on risefor : 

Risefor.org is an open-source citizen lobbying tool designed to allow citizens to exchange, organise and act upon their elected officials.

Using Risefor, citizens can gather around a common topic of interest and advocate for an agreed upon position to their elected officials


To use the risefor back-end package independently the code is available here : https://git.startinblox.com/djangoldp-packages/risefor-lobbying